分析クエリが拒否されました

Moses Skodaエンジニア読了目安 1分

APIは422 Unprocessable Contentの応答で、このエラーを返します。typeはhttps://lingo.dev/docs/api/errors/analytics-query-rejectedです。すべてのエラーに共通する形式については、エラーとステータスコードをご覧ください。

<detail>

フィールド#

レスポンス本文には、標準のtype、status、title、detailの各メンバーに加え、以下のフィールドが含まれます。detailのテキストはこれらのフィールドから生成されるため、クライアント側で独自のテキストに置き換えて表示できます。

フィールド型
rule"emptyQuery" | "dimensionRepeated" | "axisPlainEntry" | "rangeEmpty" | "derivationRequiresTime" | "derivationRequiresBucketedAxis" | "derivationNotDecomposable" | "previousPeriodNotWholeBuckets" | "previousPeriodOffsetMisaligned" | "previousPeriodOffsetTooShort" | "mixedFilterKinds" | "topNRequiresKeyDimension" | "topNByNotRankable" | "derivedPathNotRequested" | "orderByDimensionNotSelected" | "shareDimensionNotSelected" | "binsNotAscending" | "limitAboveMax" | "detailFieldNotAllowed" | "groupedFieldNotAllowed" | "detailKeyRequired" | "cursorInvalid" | "cursorOrderMismatch" | "keysetColumnNullable" | "maxRangeDays" | "maxBuckets" | "resultTooLarge" | "propertyRequired"
pathstring[]

例#

json
{
  "detail": "<detail>",
  "rule": "emptyQuery",
  "path": [
    "<path>"
  ],
  "type": "https://lingo.dev/docs/api/errors/analytics-query-rejected",
  "status": 422,
  "title": "Analytics query rejected"
}

このエラーを返すエンドポイント#

  • GET /v2/organizations/{orgId}/analytics/models
  • POST /v2/organizations/{orgId}/analytics/event-properties
  • POST /v2/organizations/{orgId}/analytics/event-property-keys
  • POST /v2/organizations/{orgId}/analytics/event-volume
  • POST /v2/organizations/{orgId}/analytics/events
  • POST /v2/organizations/{orgId}/analytics/events-by-property
  • POST /v2/organizations/{orgId}/analytics/measurement-answers
  • POST /v2/organizations/{orgId}/analytics/measurement-answers-by-property
  • POST /v2/organizations/{orgId}/analytics/measurement-fields
  • POST /v2/organizations/{orgId}/analytics/measurement-scores
  • POST /v2/organizations/{orgId}/analytics/translation-volume